# -*- encoding: utf-8 -*-
# stub: huffnpuff 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "huffnpuff".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Bryan Colvin".freeze]
  s.bindir = "exe".freeze
  s.date = "2018-01-25"
  s.description = "Huffnpuff implements a general purpose Huffman Coding system that uses a construction string which can implement any system.\nThis also includes the bitfifo gem which allows variable length bit sequences to address the internal table of the\nHuffnpuff object instance. Huffman coding is essential for compression techniques such as MPEG, and PKZIP.\n".freeze
  s.email = ["bryan@bdlsys.com".freeze]
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Huffman encoding system".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<bitfifo>.freeze, ["~> 0.2", ">= 0.2.1"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  else
    s.add_dependency(%q<bitfifo>.freeze, ["~> 0.2", ">= 0.2.1"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.11"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<byebug>.freeze, ["~> 5.0", ">= 5.0.0"])
  end
end
